import { useEffect } from 'react';
export function useInterval(callback, delay) {
    'use memo';
    useEffect(function setIntervalEffect() {
        const timer = setInterval(callback, delay);
        return function cleanupIntervalTimer() {
            clearInterval(timer);
        };
    }, [callback, delay]);
}
export function useTimeout(callback, delay) {
    'use memo';
    useEffect(function setTimeoutEffect() {
        const timer = setTimeout(callback, delay);
        return function cleanupTimeoutTimer() {
            clearTimeout(timer);
        };
    }, [callback, delay]);
}
